Create a share bundle (one link over many objects)
curl --request POST \
--url https://api.dairo.app/v1/buckets/{bucketId}/share-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objectIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.dairo.app/v1/buckets/{bucketId}/share-links"
payload = { "objectIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objectIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.dairo.app/v1/buckets/{bucketId}/share-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "share_link",
"id": "<string>",
"objectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shareUrl": "<string>",
"downloadUrl": "<string>",
"hasPassword": true,
"maxUses": 123,
"oneTime": true,
"usesCount": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"revoked": true,
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}Buckets
Create a share bundle
Create a share bundle (one link over many objects)
POST
/
v1
/
buckets
/
{bucketId}
/
share-links
Create a share bundle (one link over many objects)
Authorizations
Dairo API key, e.g. dairo_test_... or dairo_live_...
Path Parameters
Bucket identifier (buk_*).
Body
application/json
Options for a secure share link over a stored object.
The object ids to bundle into one share link.
Minimum array length:
1Response
Success
A secure (stateful) share link over a stored object.
Example:
"share_link"
Share-link id (shr_*).
Branded /s/ share page URL (returned only at create time).
Branded /d/ download URL (returned only at create time).